# cli.deviceStart

> POST https://app.intraface.cc/api/v1/cli/device

No authentication. Body limit: 256 KB.

**Auth:** None.

## Request body (application/json)

```json
{
  "type": "object",
  "properties": {
    "label": {
      "type": "string",
      "minLength": 1,
      "maxLength": 80
    },
    "agent": {
      "type": "string",
      "maxLength": 64
    }
  },
  "required": [
    "label"
  ]
}
```

## Responses

### 200: Success.

application/json:

```json
{
  "type": "object",
  "properties": {
    "device_code": {
      "type": "string"
    },
    "user_code": {
      "type": "string",
      "pattern": "^[A-Z0-9]{4}-[A-Z0-9]{4}$"
    },
    "verification_uri": {
      "type": "string",
      "format": "uri"
    },
    "expires_in": {
      "type": "integer",
      "exclusiveMinimum": 0,
      "maximum": 9007199254740991
    },
    "interval": {
      "type": "integer",
      "exclusiveMinimum": 0,
      "maximum": 9007199254740991
    }
  },
  "required": [
    "device_code",
    "user_code",
    "verification_uri",
    "expires_in",
    "interval"
  ]
}
```

### default

Any other error, in the shared envelope `{ error: { code, message, hint?, details? } }`.
